# DataExchange
TKIGES
IGESSelect

# IGESSelect_ChangeLevelList Class Reference

Changes Level List (in directory part) to a new single value
Only entities attached to a LevelListEntity are considered
If OldNumber is defined, only entities whose LevelList
contains its Value are processed. Else all LevelLists are.
Remark : this concerns the Directory Part only. The Level List
Entities themselves (their content) are not affected.
If NewNumber is defined (positive or zero), it gives the new
value for Level Number. Else, the first value of the LevelList
is set as new LevelNumber
.

`#include <IGESSelect_ChangeLevelList.hxx>`

Inheritance diagram for IGESSelect_ChangeLevelList:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_ChangeLevelList ()
| Creates a ChangeLevelList, not yet defined (see SetOldNumber and SetNewNumber) .
Standard_EXPORT Standard_Boolean | HasOldNumber () const
| Returns True if OldNumber is defined : then, only entities which have a LevelList which contains the value are processed. Else, all entities attached to a LevelList are. .
Standard_EXPORT Handle_IFSelect_IntParam | OldNumber () const
| Returns the parameter for OldNumber. If not defined (Null Handle), it will be interpreted as "all level lists" .
Standard_EXPORT void | SetOldNumber (const Handle(IFSelect_IntParam)&param)
| Sets a parameter for OldNumber .
Standard_EXPORT Standard_Boolean | HasNewNumber () const
| Returns True if NewNumber is defined : then, it gives the new value for Level Number. Else, the first value of the LevelList is used as new Level Number. .
Standard_EXPORT Handle_IFSelect_IntParam | NewNumber () const
| Returns the parameter for NewNumber. If not defined (Null Handle), it will be interpreted as "new value 0" .
Standard_EXPORT void | SetNewNumber (const Handle(IFSelect_IntParam)&param)
| Sets a parameter for NewNumber .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : considers selected target entities : If OldNumber is not defined, all entities attached to a Level List If OldNumber is defined (value not negative), entities with a Level List which contains this value Attaches all these entities to value given by NewNumber, or the first value of the Level List .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which begins by "Changes Level Lists containing <old>", or "Changes all Level Lists in D.E.", and ends by " to Number <new>" or " to Number = first value in List" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IFSelect_IntParam | theold
Handle_IFSelect_IntParam | thenew

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_ChangeLevelList::IGESSelect_ChangeLevelList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_ChangeLevelList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT Standard_Boolean IGESSelect_ChangeLevelList::HasNewNumber | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESSelect_ChangeLevelList::HasOldNumber | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString IGESSelect_ChangeLevelList::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT Handle_IFSelect_IntParam IGESSelect_ChangeLevelList::NewNumber | ( |  | ) | const

Standard_EXPORT Handle_IFSelect_IntParam IGESSelect_ChangeLevelList::OldNumber | ( |  | ) | const

Standard_EXPORT void IGESSelect_ChangeLevelList::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

Standard_EXPORT void IGESSelect_ChangeLevelList::SetNewNumber | ( | const Handle(IFSelect_IntParam)& | param | ) |

Standard_EXPORT void IGESSelect_ChangeLevelList::SetOldNumber | ( | const Handle(IFSelect_IntParam)& | param | ) |

## Field Documentation

Handle_IFSelect_IntParam IGESSelect_ChangeLevelList::thenew `[private]`

Handle_IFSelect_IntParam IGESSelect_ChangeLevelList::theold `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_ChangeLevelList.hxx